<!DOCTYPE html>
<html>
<head>
    <title>Jobs</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet">
    <style type="text/css">
        .job-description {
            font-size: smaller;
            max-height: 6rem; overflow: hidden;
        }
        .job-item {
            padding: 10px;
        }
        .job-item-even {
            background-color: #f9f9f9;
        }
        .job-item-odd {
            background-color: #ededed;
        }
        img {
            max-width: 100%;
        }
    </style>
</head>
<body>
    <div class="container mt-5">
        <h2><a href="/" title="home">Jobs</a></h2>

        <div class="job-list">
            {% for job in jobs %}
                {% set rowClass = 'job-item-' ~ cycle(['even', 'odd'], loop.index0) %}
                <div class="job-item {{ rowClass }}">
                    <div class="d-flex flex-column">
                        <div class="d-flex justify-content-between my-2">
                            <div class="job-title">
                                <h5>{{ job.getTitle() }}</h5>
                            </div>
                            <div class="job-id">{{ job.getJobId() }}</div>
                        </div>
                        <div class="job-description my-2">{{ job.getDescription()|raw }}</div>
                         <a href="#" class="btn btn-outline-secondary show-more">Zobrazit více</a>
                    </div>
                </div>
            {% else %}
                <div class="alert alert-warning" role="alert">
                    Žádná pracovní místa nejsou k dispozici.
                </div>
            {% endfor %}
        </div>

        {% if jobs and totalPages and jobsPerPage > 1 %}
        <nav aria-label="Page navigation">
            <ul class="pagination float-end">
                {% for _page in 1..totalPages %}
                    <li class="page-item{% if _page == page %} active{% endif %}">
                        <a class="page-link" href="{{ path('app_default_page', {'page': _page}) }}">{{ _page }}</a>
                    </li>
                {% endfor %}
            </ul>
        </nav>
        {% endif %}
    </div>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.6/dist/umd/popper.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.min.js"></script>
    <script>
        document.addEventListener('DOMContentLoaded', function() {
            var showMoreButtons = document.querySelectorAll('.show-more');
            showMoreButtons.forEach(function(button) {
                button.addEventListener('click', function(event) {
                    event.preventDefault();
                    var description = button.previousElementSibling;
                    description.style.maxHeight = 'none';
                    button.style.display = 'none';
                });
            });
        });
    </script>
</body>
</html>
